<h1 mat-dialog-title>{{'trainings.form.title' | translate}}</h1>

<button class="close-button" mat-icon-button mat-dialog-close tabindex="-1">
  <mat-icon>close</mat-icon>
</button>

<form [formGroup]="trainingForm" (ngSubmit)="submit()" (keydown.enter)="submit()">
  <mat-form-field class="full-width">
    <mat-label>{{'trainings.form.input_name' | translate}}</mat-label>
    <input matInput type="text" formControlName="name" minlength="2" [placeholder]="'trainings.form.input_name_placeholder' | translate">
  </mat-form-field>

  <mat-form-field class="full-width">
    <mat-label>{{'trainings.form.input_sport' | translate}}</mat-label>
    <mat-select formControlName="sport_id">
      <mat-option *ngFor="let sport of sports$ | async" [value]="sport.id">
        {{sport.name}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <div class="form-row" fxLayout="row">
    <mat-form-field class="full-width">
      <mat-label>{{'trainings.form.input_start_date' | translate}}</mat-label>
      <input matInput formControlName="period_start" [matDatepicker]="startDatepicker" [placeholder]="'trainings.form.input_start_date_placeholder' | translate">
      <mat-datepicker-toggle matSuffix [for]="startDatepicker"></mat-datepicker-toggle>
      <mat-datepicker #startDatepicker color="primary"></mat-datepicker>
    </mat-form-field>

    <mat-form-field class="full-width">
      <mat-label>{{'trainings.form.input_end_date' | translate}}</mat-label>
      <input matInput formControlName="period_end" [matDatepicker]="endDatepicker" [min]="trainingForm.value['period_start']" [placeholder]="'trainings.form.input_end_date_placeholder' | translate">
      <mat-datepicker-toggle matSuffix [for]="endDatepicker"></mat-datepicker-toggle>
      <mat-datepicker #endDatepicker [startAt]="trainingForm.value['period_start']" color="primary"></mat-datepicker>
    </mat-form-field>
  </div>

  <mat-form-field class="full-width">
    <mat-label>{{'trainings.form.input_activities_per_day' | translate}}</mat-label>
    <input matInput formControlName="activities_per_day" type="number" min="1" max="3">
  </mat-form-field>

  <mat-checkbox formControlName="weekends_only">{{'trainings.form.input_weekends_only' | translate}}</mat-checkbox>
</form>

<mat-dialog-actions>
  <button mat-button mat-dialog-close>{{ 'app.cancel' | translate }}</button>

  <button type="submit" mat-raised-button color="primary" [disabled]="!trainingForm.valid" (click)="submit()">
    <mat-spinner diameter="30" *ngIf="loading$ | async"></mat-spinner>
    <span *ngIf="!(loading$ | async)">{{'trainings.form.submit' | translate}}</span>
  </button>
</mat-dialog-actions>
